Bug 143684 - up2date crashes when called with 'up2date -u'
up2date crashes when called with 'up2date -u'
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
ia32e Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: 141856
  Show dependency treegraph
 
Reported: 2004-12-23 21:57 EST by Colin Coe
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-06 13:41:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Coe 2004-12-23 21:57:42 EST
Description of problem:
up2date crashes when called as 'up2date -u'.  Does not happen when a
single package is selected (i.e. up2date up2date).

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux ES release 3.90 (Nahant)

How reproducible:
Every time

Steps to Reproduce:
1. up2date -u
  
Actual results:


Expected results:
Should have suceeded.

Additional info:
[root@el4beta ~]# up2date -u

Fetching Obsoletes list for channel: rhel-x86_64-es-4-beta...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
NetworkManager                          0.3.1          3             
   x86_64
authconfig                              4.6.5          3.1           
   x86_64
authconfig-gtk                          4.6.5          3.1           
   x86_64
binutils                                2.15.92.0.2    5.EL4         
   x86_64
chkconfig                               1.3.11.2       1             
   x86_64
curl                                    7.12.1         3             
   i386
curl                                    7.12.1         3             
   x86_64
curl-devel                              7.12.1         3             
   x86_64
cvs                                     1.11.17        5             
   x86_64
diskdumputils                           0.6.4          0             
   x86_64
eject                                   2.0.13         11            
   x86_64
eog                                     2.8.1          2             
   x86_64
evolution-data-server                   1.0.2          4             
   i386
evolution-data-server                   1.0.2          4             
   x86_64
gaim                                    1.0.2          0.EL4         
   x86_64
gawk                                    3.1.3          10.1          
   x86_64
gd                                      2.0.28         4             
   i386
gd                                      2.0.28         4             
   x86_64
gdb                                     6.1post        1.20040607.46 
   x86_64
gettext                                 0.14.1         12            
   x86_64
glibc                                   2.3.3          74            
   i686
glibc                                   2.3.3          74            
   x86_64
glibc-common                            2.3.3          74            
   x86_64
glibc-devel                             2.3.3          74            
   i386
glibc-devel                             2.3.3          74            
   x86_64
glibc-headers                           2.3.3          74            
   x86_64
gnome-panel                             2.8.1          3.2E          
   i386
gnome-panel                             2.8.1          3.2E          
   x86_64
gnome-user-docs                         2.8.0.1        1.2E          
   noarch
gpdf                                    2.8.0          7             
   x86_64
gpm                                     1.20.1         66            
   i386
gpm                                     1.20.1         66            
   x86_64
gpm-devel                               1.20.1         66            
   x86_64
gthumb                                  2.4.2          5             
   x86_64
gtk2                                    2.4.13         10            
   i386
gtk2                                    2.4.13         10            
   x86_64
hal                                     0.4.0          10            
   i386
hal                                     0.4.0          10            
   x86_64
httpd                                   2.0.52         7.ent         
   x86_64
httpd-manual                            2.0.52         7.ent         
   x86_64
httpd-suexec                            2.0.52         7.ent         
   x86_64
hwdata                                  0.146.1.EL     1             
   noarch
ipsec-tools                             0.3.3          2.1           
   x86_64
jwhois                                  3.2.2          6             
   x86_64
kdelibs                                 3.3.1          2.1           
   i386
kdelibs                                 3.3.1          2.1           
   x86_64
libexif                                 0.5.12         5             
   i386
libexif                                 0.5.12         5             
   x86_64
libgnome                                2.8.0          2             
   i386
libgnome                                2.8.0          2             
   x86_64
lvm2                                    2.00.25        1.01          
   x86_64
metacity                                2.8.6          2.1           
   x86_64
mkinitrd                                4.1.18         2             
   x86_64
mod_ssl                                 2.0.52         7.ent         
   x86_64
nfs-utils                               1.0.6          42            
   x86_64
nscd                                    2.3.3          74            
   x86_64
nss_db                                  2.2            29            
   i386
nss_db                                  2.2            29            
   x86_64
nss_ldap                                226            1             
   i386
nss_ldap                                226            1             
   x86_64
ntsysv                                  1.3.11.2       1             
   x86_64
openssl096b                             0.9.6b         22            
   i386
popt                                    1.9.1          21            
   i386
popt                                    1.9.1          21            
   x86_64
ppp                                     2.4.2          6.4.RHEL4     
   x86_64
procps                                  3.2.3          6EL           
   x86_64
python                                  2.3.4          14            
   x86_64
python-devel                            2.3.4          14            
   x86_64
redhat-artwork                          0.120          1.1E          
   i386
redhat-artwork                          0.120          1.1E          
   x86_64
redhat-logos                            1.1.22         1             
   noarch
redhat-lsb                              1.3            5             
   i386
rpm                                     4.3.2          21            
   x86_64
rpm-build                               4.3.2          21            
   x86_64
rpm-devel                               4.3.2          21            
   x86_64
rpm-libs                                4.3.2          21            
   x86_64
rpm-python                              4.3.2          21            
   x86_64
ruby-libs                               1.8.1          7.EL4.0       
   i386
samba                                   3.0.8          1.4E.1        
   x86_64
samba-client                            3.0.8          1.4E.1        
   x86_64
samba-common                            3.0.8          1.4E.1        
   i386
samba-common                            3.0.8          1.4E.1        
   x86_64
selinux-policy-targeted                 1.17.30        2.19          
   noarch
setarch                                 1.6            1             
   x86_64
slang                                   1.4.9          8             
   i386
slang                                   1.4.9          8             
   x86_64
slang-devel                             1.4.9          8             
   x86_64
system-config-users                     1.2.27         0.EL4.1       
   noarch
udev                                    039            10.1.EL4      
   x86_64
util-linux                              2.12a          16.EL4        
   x86_64
xinitrc                                 4.0.14         1             
   noarch
xscreensaver                            4.18           5             
   x86_64


Testing package set / solving RPM inter-dependencies...

Downloading headers to solve dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1245, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1119, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 74, in run
    self.__dryRun()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 159, in
__dryRun
    self.percentCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 553, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 520, in
process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 307, in
__dependencies
    msgCallback = self.msgCallback)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 93, in solveDep
    msgCallback = msgCallback)
  File
"/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line 44,
 in solveDep
    msgCallback = self.msgCallback)
TypeError: getSolutions() got an unexpected keyword argument
'progressCallback'
[root@el4beta ~]#
Comment 1 Jeremy Katz 2004-12-30 00:08:56 EST
What version of up2date do you have installed?  Does it still occur if you
update to the latest version of up2date in the channel first?
Comment 2 Colin Coe 2004-12-30 00:52:16 EST
[root@el4beta ~]# rpm -q up2date
up2date-4.3.53-1
[root@el4beta ~]# up2date --version
Red Hat Update Agent v
Copyright (C) 1999-2002 Red Hat, Inc.
Licensed under terms of the GPL.
[root@el4beta ~]# up2date up2date

Fetching Obsoletes list for channel: rhel-x86_64-es-4-beta...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------


The following packages you requested are already updated:
up2date
Comment 4 Jay Turner 2005-01-06 13:41:25 EST
This is resolved with the latest up2date code.
Comment 5 Colin Coe 2005-01-06 18:41:24 EST
Not fixed...

[root@el4beta ~]# date
Fri Jan  7 07:41:10 WST 2005
[root@el4beta ~]# up2date up2date

Fetching Obsoletes list for channel: rhel-x86_64-es-4-beta...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------


The following packages you requested are already updated:
up2date
[root@el4beta ~]# up2date -u

Fetching Obsoletes list for channel: rhel-x86_64-es-4-beta...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
chkconfig                               1.3.11.2       1                 x86_64
curl                                    7.12.1         3                 i386
curl                                    7.12.1         3                 x86_64
curl-devel                              7.12.1         3                 x86_64
glibc                                   2.3.3          74                i686
glibc                                   2.3.3          74                x86_64
glibc-common                            2.3.3          74                x86_64
metacity                                2.8.6          2.1               x86_64
mkinitrd                                4.1.18         2                 x86_64
nfs-utils                               1.0.6          42                x86_64
nscd                                    2.3.3          74                x86_64
ntsysv                                  1.3.11.2       1                 x86_64
popt                                    1.9.1          21                i386
popt                                    1.9.1          21                x86_64
procps                                  3.2.3          6EL               x86_64
python                                  2.3.4          14                x86_64
python-devel                            2.3.4          14                x86_64
redhat-artwork                          0.120          1.1E              i386
redhat-artwork                          0.120          1.1E              x86_64
redhat-logos                            1.1.22         1                 noarch
redhat-lsb                              1.3            5                 i386


Testing package set / solving RPM inter-dependencies...

Downloading headers to solve dependencies...
Traceback (most recent call last):
  File "/usr/sbin/up2date", line 1245, in ?
    sys.exit(main() or 0)
  File "/usr/sbin/up2date", line 800, in main
    fullUpdate, dryRun=options.dry_run))
  File "/usr/sbin/up2date", line 1119, in batchRun
    batch.run()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 74, in run
    self.__dryRun()
  File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 159, in __dryRun
    self.percentCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 386, in dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 553, in solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 520, in process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 307, in __dependencies
    msgCallback = self.msgCallback)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 93, in solveDep
    msgCallback = msgCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py", line 44,
in solveDep
    msgCallback = self.msgCallback)
TypeError: getSolutions() got an unexpected keyword argument 'progressCallback'
[root@el4beta ~]#
Comment 6 Colin Coe 2005-01-06 22:05:40 EST
I couldn't find the up2date rpm on the rawhide site (rawhide.redhat.com) but
I've pulled up2date-4.3.69-1.src.rpm from rpmfind.net out of the Fedora Core
Development Sources and its working fine now.

Note You need to log in before you can comment on or make changes to this bug.